using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsDeviceType {
        public BemsDeviceType() {
            BemsDevice = new HashSet<BemsDevice>();
            BemsDeviceTypeUsingEnergy = new HashSet<BemsDeviceTypeUsingEnergy>();
        }

        //냉난방 가동설비 타입
        [Display(Name = "가동 설비 타입"), Key]
        public int DeviceTypeId { get; set; }
        [Display(Name = "설비 타입명"), Required]
        [StringLength(52)]
        public string Name { get; set; }
        [Display(Name = "서비스 유형")]
        public int? ServiceTypeId { get; set; }

        [InverseProperty("DeviceType")]
        public virtual ICollection<BemsDevice> BemsDevice { get; set; }
        [InverseProperty("DeviceType")]
        public virtual ICollection<BemsDeviceTypeUsingEnergy> BemsDeviceTypeUsingEnergy { get; set; }
    }
}
